## org.eclipse.datatools.connectivity.ui.navigator
Class ConnectionProfileLabelProvider

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.BaseLabelProvider
              org.eclipse.jface.viewers.LabelProvider
                  org.eclipse.datatools.connectivity.ui.navigator.ConnectionProfileLabelProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider, org.eclipse.ui.navigator.ICommonLabelProvider, org.eclipse.ui.navigator.IDescriptionProvider, org.eclipse.ui.navigator.IMementoAware

    public class ConnectionProfileLabelProvider

extends org.eclipse.jface.viewers.LabelProvider
implements org.eclipse.ui.navigator.ICommonLabelProvider

Author:
  rcernich, brianf

Constructor Summary
`ConnectionProfileLabelProvider()`

Method Summary
`void` `dispose()`
`java.lang.String` `getDescription(java.lang.Object element)`
`org.eclipse.swt.graphics.Image` `getImage(java.lang.Object element)`
`java.lang.String` `getText(java.lang.Object element)`
`void` `init(org.eclipse.ui.navigator.ICommonContentExtensionSite aConfig)`
`void` `init(org.eclipse.ui.navigator.IExtensionStateModel aStateModel, org.eclipse.jface.viewers.ITreeContentProvider aContentProvider)`
`void` `restoreState(org.eclipse.ui.IMemento aMemento)`
`void` `saveState(org.eclipse.ui.IMemento aMemento)`

Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider
`addListener, isLabelProperty, removeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, isLabelProperty, removeListener`

Constructor Detail

### ConnectionProfileLabelProvider

    public ConnectionProfileLabelProvider()

Method Detail

### getImage

    public org.eclipse.swt.graphics.Image getImage(java.lang.Object element)

  Specified by:
    `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Overrides:
    `getImage` in class `org.eclipse.jface.viewers.LabelProvider`

### getText

    public java.lang.String getText(java.lang.Object element)

  Specified by:
    `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Overrides:
    `getText` in class `org.eclipse.jface.viewers.LabelProvider`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  Overrides:
    `dispose` in class `org.eclipse.jface.viewers.BaseLabelProvider`

### init

    public void init(org.eclipse.ui.navigator.IExtensionStateModel aStateModel,
                     org.eclipse.jface.viewers.ITreeContentProvider aContentProvider)

### restoreState

    public void restoreState(org.eclipse.ui.IMemento aMemento)

  Specified by:
    `restoreState` in interface `org.eclipse.ui.navigator.IMementoAware`

### saveState

    public void saveState(org.eclipse.ui.IMemento aMemento)

  Specified by:
    `saveState` in interface `org.eclipse.ui.navigator.IMementoAware`

### getDescription

    public java.lang.String getDescription(java.lang.Object element)

  Specified by:
    `getDescription` in interface `org.eclipse.ui.navigator.IDescriptionProvider`

### init

    public void init(org.eclipse.ui.navigator.ICommonContentExtensionSite aConfig)

  Specified by:
    `init` in interface `org.eclipse.ui.navigator.ICommonLabelProvider`